# Plants vs Zombies!
This mod aims to add a whole bunch of plant cards from pvz into inscryption (and a few zombies too!!).

Currently it is for Act 1 of Inscryption, adding:
* 56 cards
* 15 sigils
* 5 tribes 
* A custom Sun card cost, which is kept track of on an animated counter
* A handful of sun producing side decks
* A few starting decks

**NOW COMPATIBLE WITH KAYCEES!!**

Tribe choices are now accounted for!

Cost choices are now accounted for!

Pack mule is now accounted for!

Pack rat is now accounted for!

## What is the Sun Cost??
The sun cost is somewhat like a blend between energy and bones, but with its own twist on it of course.
* You start each battle with 3 sun 
* Gain 1 sun per round
* Sun producing cards can, as implied by the name, produce more sun with their sigils
* Most plant cards cost sun to play, even the sun producers in the side deck
* The sun cost is displayed in front of the scales

## The project might continue getting updates eventually!!

**Please let me know if you find any bugs or balancing issues.**

**I still have plenty more planned cards and sigils that I am yet to add. This includes cards of other cost types**

**Possibly not all trials/choices have been accounted for yet.**

**Eventually planning to add custom encounters.**

**Eventually planning to add custom items**

**Eventually planning to add custom challenges**

**I might end up adding custom bosses**

## Installation (automated)
This is the recommended way to install this mod.

- Download and install [Thunderstore Mod Manager](https://www.overwolf.com/app/Thunderstore-Thunderstore_Mod_Manager) or [r2modman](https://timberborn.thunderstore.io/package/ebkr/r2modman/)
- Click Install with Mod Manager button on top of the page
- Run the game via the mod manager


## Installation (manual)
This is not the recommended way but can be done if necessary.

- Download the zip file

- Move the .dll within into your Plugins folder

- Also install all of this mod's dependencies

## Feedback and suggestions
If you have any feedback whether it be bugs, balancing or just something in general, feel free to ping me in the inscryption modding discord.

My discord: Zepht#5693, [Inscryption modding discord](https://discord.gg/QrJEF5Denm).

## How mod makers can also use the sun cost
If you wish to expand on my mod in areas I haven't yet gotten around to, or just make your own thing using the sun cost, you can do so!

If you are coding in C#, you need to add this extended property to your card:

```c#
CardInfo myCard = ...;
myCard.SetExtendedProperty("SunCost", 1);
```

If you are making a card in JSON, you need to add the extended property like this:

```json
{
    "name": "MyCard",
    "extensionProperties": {
        "SunCost": "1"
    }
}
```

## Changelog

<details>
<summary>Changelog </summary> 


**v0.1.0**
- Released the beta build publicly 

**v0.1.1**
- fixed a bug where there is an error with the file pathing

**v0.1.2**
- we dont talk about v0.1.2

**v0.1.3**
- The pack mule now contains some plant cards too!!

- Added AddStats sigil

- Added Coffee Bean card

- Added Gold Leaf card

**v0.1.4**
- Added Pumpkin card

- Added Escape Root card

**v0.1.5**
- Fixed AddStats from overwriting all other card modifiers

- Specific cards will not be able to be used in sac stones or on campfires

- "instant" cards have their own custom background

**v0.1.6**
- Lowered the health of wallnut, tallnut, endurian and scaredy shroom

- Increased the damage of Spudow and Doombringer

- Hopefully fixed goat eye easter egg

- Added Chomper card

**v0.2.0**
- Embedded all of the assets into the dll

- Removed the sleeping doomshroom, doomshroom is now primed from the get go

- Added Zombie Caller sigil

- Added Zombie card

- Added Flag Zombie card

- Made Twin Sunflower, Peashooter, Repeater, cactus, cattail and Scaredy Shroom cheaper

- Buffed Sweet to deal 3 damage to enemies instead of 2

**v0.3.0**
- Increased health of wallnut and tallnut

- Added Whack a Mole sigil to wallnut and tallnut

- Lowered the cost of Jalapeno

- Added Garlic card

- Added Zombie Arm card (with dev art)

- Added Armor Breaker sigil

- Added MagnetShroom card

- Made MagnetShroom replace the pack rat

- Added Cost Choice compatibility

**v0.3.1**
- Fixed missing readme info

- Locked an unfinished card from appearing

**v0.4.0**
- Updated to Kaycees mod!!!!

- Added the Twin Sunflower, Sunshroom and Sunbean side decks

- Added Classic, Shrooms and Zen Garden starter hands

- Reworked the sun cost to be more flexible using the new API

**v0.4.1**
- Corrected dependencies

**v0.4.2**
- Temporarily removed custom tails which would break on API 2.2.0

**v0.4.3**
- Added Bloomerang, Starfruit and Artichoke cards

**v0.5.0**
- Added Snorkel, Jack in a Box, Conehead and Screendoor zombies

- Added the hardheaded sigil

- Added the beeshooter

- Switched mod dependencies to a different side deck mod

- Fixed a visual issue where the sprout starter hand didn't show their cost

- Made "not enough sun" text not need a click to continue

- Updated the pierce sigil to ignore the armored sigil

- Buffed the fumeshroom's attack from 1 to 2

**v0.5.1**
- Fixed the pierce sigil softlocking the game

- The pierce sigil now always hits a (non mule) queued card

**v0.5.2**
- Fixed the "not enough sun" text not disappearing

## Special thanks
Aurey for playtesting my mod, giving active feedback and being very epic.

VoidSlime for helping me with a whole bunch of unique code for the cost and sigils.

Everyone in the modding discord who contributed card ideas, especially Blind the Bound Demon, who spammed me with ideas (in a good way).

Seto for helping figure out why my mods werent working in the new update, might have given up if they didn't suggest fixes.

Emmet for helping test out starting decks, and providing lots of ideas for them.

Also everyone in the modding discord who helped me learn how to code mods of course.

</details>

## Sigil List
<details>
<summary>Custom Sigils </summary> 

| Name           | Effect  |
| ---------------|---|
| **Spudow**     | When a card bearing this sigil gets defeated, it deals 3 damage to the opposing card.|
| **Sweet**     | At the end of the owner's turn, any card bearing this sigil will explode and deal 3 damage to the cards in the 3 enemy slots around it, then deal 1 damage to the cards in your adjacent slots.|
| **Spicy**       | At the end of the owner's turn, any card bearing this sigil will explode and deal 4 damage to not only the opposing card but also to the card on the opposing backline.  | 
| **DoomBringer**     | At the end of the owner's turn, any card bearing this sigil will explode and deal 4 damage to all of the opponent's cards, along with 1 damage to all of the owners cards, and then leave a crater where it stood.|
| **Scaredy**     |A card bearing this sigils loses 1 attack but gains 1 health when against an opposing card whose attack is greater than 0.|
| **Pierce**     | After attacking, a card bearing this sigil will also attack the card in the opposing queue, if there is one. It also bypasses the armored sigil.|
| **SporeSpreader**     | If a card bearing this sigil defeats another card, a copy of itself will be returned to your hand.|
| **SunMaker 1**     | At the end of the owner's turn, a card bearing this sigil will produce 1 sun.|
| **SunMaker 2**     | At the end of the owner's turn, a card bearing this sigil will produce 2 sun.|
| **SunMaker 3**     | At the end of the owner's turn, a card bearing this sigil will produce 3 sun.|
| **SunKill**     | When a card bearing this sigil defeats another card, the other card will drop 3 sun.|
| **AddStats**     | When a card bearing this sigil is played, its health, attack and other sigils will be added to every other card on your side of the board. Then this card will die. |
| **Armor Breaker**     | When a card bearing this sigil is played, it removes all defense sigils from all of the opposing cards. |
| **Hardheaded**     | When a card bearing this sigil is attacked, the damage taken will be reduced by 2. Then this sigil will be removed. |
| **Zombie Caller**     | When a card bearing this sigil is played, A zombie gets played on each empty adjacent space. A zombie is defined as: 1 Power 2 Health.|

</details>

## Card List

[R] = Rare (gold pelts / boss wins)

[S] = Sub-card (derived from another card)

\* = Temporary (might be changed later)


<details>
<summary>Attackers </summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| Peashooter     | 1   | 2  |  | |<img align="center" src="https://tinyurl.com/suncost2">|
| Repeater       | 1   | 2  | Double Strike  | |<img align="center" src="https://tinyurl.com/suncost4">|
|[R] Threepeater | 1   | 3  | Trifurcated Strike | |<img align="center" src="https://tinyurl.com/suncost5">|
| Beeshooter     | 2   | 2  | Bees Within | |1 blood + <img align="center" src="https://tinyurl.com/suncost2">|
| Cactus         | 2   | 2  | Sharp Quills| Mighty Leap|<img align="center" src="https://tinyurl.com/suncost5">|
| Homing Thistle | 1   | 1  | Sniper | |<img align="center" src="https://tinyurl.com/suncost3">|
| Cattail        | 1   | 1  | Sniper | Waterborne|<img align="center" src="https://tinyurl.com/suncost3">|
| Bloomerang     | 2   | 2  | Double Strike | **Pierce**| <img align="center" src="https://tinyurl.com/suncost3">|
| Chomper        | 2   | 1  | Death's Touch | |<img align="center" src="https://tinyurl.com/suncost4">|
| Spikeweed      | 1   | 1  | Sentry | |<img align="center" src="https://tinyurl.com/suncost3">|
| [R] SpikeRock  | 2   | 3  | Sentry | Sentry |<img align="center" src="https://tinyurl.com/suncost5">|
| [R] Starfruit  | 1   | 1  | Moonstrike | |<img align="center" src="https://tinyurl.com/suncost3">|
| Bonk Choy      | 2   | 2  |  | |<img align="center" src="https://tinyurl.com/suncost4">|
| Citron         | 3   | 2  |  | |<img align="center" src="https://tinyurl.com/suncost5">|
| Red Stinger    | Bell| 1  |  | |<img align="center" src="https://tinyurl.com/suncost4">|
| Artichoke      | 1   | 1  | Flying | |<img align="center" src="https://tinyurl.com/suncost2">|
| PuffShroom     | 1   | 1  | Brittle | | **Free**|
| [R] SeaShroom  | 1   | 1  | Waterborne| | **Free**|
| ScaredyShroom  | 1   | 1  | **Scaredy** | |<img align="center" src="https://tinyurl.com/suncost1">|
| FumeShroom     | 2   | 2  | **Pierce** | |<img align="center" src="https://tinyurl.com/suncost4">|
| SporeShroom    | 1   | 2  | **Spore Spreader** | |<img align="center" src="https://tinyurl.com/suncost3">|

</details>

<details>
<summary>Sun Producers</summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| Sunflower      | 0   | 1  | **Sunmaker 2** | |<img align="center" src="https://tinyurl.com/suncost1">|
| Twin Sunflower | 0   | 2  | **Sunmaker 3** | |<img align="center" src="https://tinyurl.com/suncost2">|
| Sun Bean       | 0   | 2  | **SunKill** |**Spudow** | <img align="center" src="https://tinyurl.com/suncost2">|
|[R] ToadStool   | 1   | 2  | **SunKill**|Death's Touch|<img align="center" src="https://tinyurl.com/suncost6">|
| SunShroom(S)   | 0   | 1  | **Sunmaker 1** | |<img align="center" src="https://tinyurl.com/suncost1">|
|[S] SunShroom(M) | 0   | 2  | **Sunmaker 2** | |<img align="center" src="https://tinyurl.com/suncost1">|
|[S] SunShroom(L) | 0   | 3  | **Sunmaker 3** | |<img align="center" src="https://tinyurl.com/suncost1">|

</details>

<details>
<summary>Defenders</summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| Wallnut        | 0   | 4  | Burrower | |<img align="center" src="https://tinyurl.com/suncost2">|
| Tallnut        | 0   | 8  | Burrower |Mighty Leap |<img align="center" src="https://tinyurl.com/suncost4">|
| Endurian       | 0   | 4  | Sharp Quills | | <img align="center" src="https://tinyurl.com/suncost3">|
| Garlic         | 0   | 2  | Stinky | | <img align="center" src="https://tinyurl.com/suncost2">|
|[R] infininut   | 0   | 2  | Frozen | |<img align="center" src="https://tinyurl.com/suncost4">|
| infininut (base) [S]| 0   | 2  | Evolve| Waterborne* |<img align="center" src="https://tinyurl.com/suncost4">|

</details>


 <details>
<summary>Bombs</summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| Potato Mine    | 0   | 1  |**Spudow**| |<img align="center" src="https://tinyurl.com/suncost1">|
| Cherry Bomb    | 0   | 1  |**Sweet** | |<img align="center" src="https://tinyurl.com/suncost5">|
| Jalapeno       | 0   | 1  | **Spicy** | | <img align="center" src="https://tinyurl.com/suncost3">|
|[S] DoomShroom   | 0   | 2  | **DoomBringer** | |<img align="center" src="https://tinyurl.com/suncost4">|

</details>


 <details>
<summary>Support</summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| TorchWood    | 0   | 2  |Sharp Quills| Leader|<img align="center" src="https://tinyurl.com/suncost5">|
| MagnetShroom | 1   | 1  |Trinket Bearer | **Armor Breaker**|<img align="center" src="https://tinyurl.com/suncost3">|
| Gold Leaf    | 0   | 0  |**AddStats**|**Sunmaker 1**|<img align="center" src="https://tinyurl.com/suncost3">|
| Pumpkin    | 0   | 1  |**AddStats**| Nano Shield|<img align="center" src="https://tinyurl.com/suncost4">|
| Escape Root| 0   | 0  |**AddStats**| Loose Tail| <img align="center" src="https://tinyurl.com/suncost3">|
| Coffee Bean  | 0   | 0  |**AddStats**| Evolve |<img align="center" src="https://tinyurl.com/suncost4">|

</details>


 <details>
<summary>Zombies</summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| Zombie         | 1   | 2  || | 3 bones|
| Conehead       | 1   | 2  |**Hardheaded**| | 4 bones|
| Snorkel        | 2   | 1  |Waterborne| | 4 bones|
| Jack in a Box  | 1  | 1  |Explosive| | 2 bones|
| Screendoor     | 1  | 2  |Armored| | 4 bones|
| [R] Flag Zombie| 1   | 1  |**Zombie Caller**|| 5 bones|

</details>


 <details>
<summary>Other</summary> 

| Name           | Attack | Health | Sigil 1 | Sigil 2 | Cost |
| ---------------|:---:|:--:|:-------:|:-------:|:----------------------------------------:|
| Sprout         | 0   | 1  |Evolve| |<img align="center" src="https://tinyurl.com/suncost1">|
|[S] Leaf Litter | 0   | 2  || | **Free**|
|[S] Shroom Chunks | 0   | 2  |Evolve| | **Free**|
|[S] Splinters | 0   | 2  |Sharp Quills| | **Free**|
|[S] Crater | 0   | 2  |Waterborne| | **Free**|
|[S] Zombie Arm | 0   | 2  || | **Free**|

</details>


 
 